## monajat 2.6.5

=== Makefile ===
APPNAME := monajat
VERSION := $(shell awk '/Version:/ { print $$2 }' $(APPNAME).spec)
DESTDIR = /
DATADIR = $(DESTDIR)/usr/share
DOCDIR = $(DATADIR)/doc/$(APPNAME)-$(VERSION)
XDGDIR = $(DESTDIR)/etc/xdg
SOURCES = $(wildcard *.desktop.in)
TARGETS = ${SOURCES:.in=}

ECHO := echo
NAKE := make
PYTHON := python2
INSTALL := install
INTLTOOL_MERGE := intltool-merge
RM := $(shell which rm | egrep '/' | sed  's/\s//g')


all: $(TARGETS) db

icons:
	@for i in 96 72 64 48 36 32 24 22 16; do \
		convert -background none monajat-data/$(APPNAME).svg -resize $${i}x$${i} $(APPNAME)-$${i}.png; \
	done
db:
	@$(PYTHON) gen-db.py
		
pos:
	@$(MAKE) -C po all

install: all
	@$(ECHO) "*** Installing..."
	@$(PYTHON) setup.py install -O2 --root $(DESTDIR)
	@$(ECHO) "Copying: $(APPNAME)-autostart.desktop -> $(XDGDIR)/autostart/"
	@$(INSTALL) -d $(XDGDIR)/autostart/
	@$(INSTALL) -m 0644 $(APPNAME)-autostart.desktop $(XDGDIR)/autostart/
	@$(INSTALL) -d $(DATADIR)
	@cp -r screenlets $(DATADIR)
	@$(INSTALL) -d $(DOCDIR)
	@$(INSTALL) -d $(DATADIR)/icons/hicolor/scalable/apps;
	@$(INSTALL) -m 0644 -D monajat-data/$(APPNAME).svg $(DATADIR)/icons/hicolor/scalable/apps/
#	@for i in 96 72 64 48 36 32 24 22 16; do \
#		$(INSTALL) -d $(DATADIR)/icons/hicolor/$${i}x$${i}/apps; \
#		$(INSTALL) -m 0644 -D $(APPNAME)-$${i}.png $(DATADIR)/icons/hicolor/$${i}x$${i}/apps/$(APPNAME).png; \
#	done
	for i in README COPYING TODO NEWS; do\
		$(ECHO) "Copying: $${i} -> $(DOCDIR)";\
		$(INSTALL) -m 0644 -D $${i} $(DOCDIR)/$${i}; \
	done

uninstall:
	@$(ECHO) "*** Uninstalling..."
	@$(ECHO) "- Removing: $(XDGDIR)/autostart/$(APPNAME)-autostart.desktop"
	@$(RM) -f $(XDGDIR)/autostart/$(APPNAME)-autostart.desktop
	@$(ECHO) "- Removing: $(DOCDIR)"
	@$(RM) -rf $(DOCDIR)
	@$(ECHO) "- Removing: $(DESTDIR)/usr/share/locale/*/LC_MESSAGES/$(APPNAME).mo"
	@$(RM) -f $(DESTDIR)/usr/share/locale/*/LC_MESSAGES/$(APPNAME).mo
	@$(ECHO) "- Removing: $(DESTDIR)/usr/bin/$(APPNAME)"
	@$(RM) -f $(DESTDIR)/usr/bin/$(APPNAME)
	@$(ECHO) "- Removing: $(DESTDIR)/usr/lib/python*/site-packages/$(APPNAME)"
	@$(RM) -rf $(DESTDIR)/usr/lib/python*/site-packages/$(APPNAME)
	@$(ECHO) "- Removing: $(DESTDIR)/usr/lib/python*/site-packages/$(APPNAME)*"
	@$(RM) -r $(DESTDIR)/usr/lib/python*/site-packages/$(APPNAME)*
	@$(ECHO) "- Removing: $(DATADIR)/screenlets"
	@$(RM) -rf $(DATADIR)/screenlets
	@$(ECHO) "- Removing: $(DATADIR)/$(APPNAME)"
	@$(RM) -rf $(DATADIR)/$(APPNAME)
	@$(ECHO) "- Removing: $(DATADIR)/icons/hicolor/scalable/apps/$(APPNAME).svg"
	@$(RM) -f $(DATADIR)/icons/hicolor/scalable/apps/$(APPNAME).svg
	@$(ECHO) "- Removing: $(DATADIR)/icons/hicolor/*/apps/$(APPNAME).png"
	@$(RM) -f $(DATADIR)/icons/hicolor/*/apps/$(APPNAME).png;
	@$(ECHO) "- Removing: $(DESTDIR)/usr/bin/$(APPNAME)-*"
	@$(RM) -f $(DESTDIR)/usr/bin/$(APPNAME)-*

		
%.desktop: %.desktop.in pos
	@$(ECHO) "*** Generating Database..."
	@$(INTLTOOL_MERGE) -d po $< $@

clean_restor_pos:
	@make clean
	@$(ECHO) "*** Retoring pos..."
	@git checkout po/* 2>/dev/null || :
    
clean:
	@$(ECHO) "*** Cleaning..."
	@$(MAKE) -C po clean
	@$(ECHO) "- Removing: $(TARGETS)"
	@$(RM) -f $(TARGETS)
	@$(ECHO) "- Removing: locale build"
	@$(RM) -rf locale build
	@$(ECHO) "- Removing: *.pyc"
	@$(RM) -f *.pyc
	@$(ECHO) "- Removing: */*.pyc"
	@$(RM) -f */*.pyc
	@$(ECHO) "- Removing: $(APPNAME)-*.png"
	@$(RM) -f $(APPNAME)-*.png
	@$(ECHO) "- Removing: monajat-data/data.db"
	@$(RM) -f monajat-data/data.db

=== po/Makefile ===
APPNAME := monajat
export APPNAME
POFILES := $(wildcard *.po)
MOFILES := $(patsubst %.po,%.mo,$(POFILES))
CRE_POTFILESin := for i in $(shell cat POTFILES.am ); do echo ../$${i} | sed 's/\s/\n/g; s/\.\.\///g' ; done > POTFILES.in

CAT := cat
ECHO := echo
MKDIR := mkdir
MSGFMT := msgfmt
INTLTOOL_UPDATE := intltool-update
RM := $(shell which rm | egrep '/' | sed  's/\s*//g')
MV := $(shell which mv | egrep '/' | sed  's/\s*//g')

all: $(APPNAME).pot $(MOFILES)

$(APPNAME).pot: 
	@$(CRE_POTFILESin)
	@$(ECHO) "*** Building $(APPNAME).pot: $(SOURCES)"
	@$(CAT) POTFILES.in
	@$(INTLTOOL_UPDATE) -g $(APPNAME) -p
	
%.mo: %.po
	@$(ECHO) "- Merging translations into $*.mo"
	@$(MSGFMT) $*.po -o $*.mo
	@$(MKDIR) -p ../locale/$*/LC_MESSAGES/ || :
	@$(ECHO) "- Moving: $*.mo -> ../locale/$*/LC_MESSAGES/$(APPNAME).mo"
	@$(MV) $*.mo ../locale/$*/LC_MESSAGES/$(APPNAME).mo
	@$(RM) -f *.tmp

%.po: $(APPNAME).pot
	@$(ECHO) "- Updating: $*.po"
	@$(INTLTOOL_UPDATE) -g $(APPNAME) -d $*

clean:
	@$(ECHO) "*** Cleaning pos..."
	@$(ECHO) "- Removing: $(APPNAME).pot"
	@$(RM) -f $(APPNAME).pot
	@$(ECHO) "- Removing: *.tmp"
	@$(RM) -f *.tmp
	@$(ECHO) "- Removing: *.mo"
	@$(RM) -f *.mo
	@$(ECHO) "- Removing: POTFILES.in"
	@$(RM) -f POTFILES.in

## monajat 2.3.1

=== debian/changelog ===
monajat (2.3.1-0ubuntu1) lucid; urgency=low

  * New upstream release. (LP: #506085)
  * Code is re-written in python, hence packaging changed accordingly.
  * Added manpages for monajat-applet & monajat-mod
  * Added patch desktop.diff to:
    + Remove Encoding field.
    + Add X-Islamic-Software category.
    + Replace irrevelant categories with Utility.
  * debian/copyright: Updated & converted to machine-readable format.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 21 Dec 2009 10:36:41 +0200

monajat (1.2-0ubuntu2) jaunty; urgency=low

  * debian/control:
    + Use ${java:Depends} instead of explicitly listing Java dependencies.
      (need workaround for swt)
    + Build-Depend on debhelper >= 7.3.3~ to support ant build-system
    + Build-Depend on javahelper >= 0.20~ to support dh --with javahelper
  * debian/rules:
    + Removed override for dh_auto_{build|clean}
    + Removed overrided binary target.
    + Added override for jh_depends.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 14 Jul 2009 22:27:53 +0300

monajat (1.2-0ubuntu1) karmic; urgency=low

  [Fadi Al-katout (cutout)]
  * Initial release. (LP: #309766)

  [أحمد المحمودي (Ahmed El-Mahmoudy)]
  * New upstream release.
    + Re-added applicationProperties.xml & upstream copyright file.
    + Full GPL2+ text in COPYING.
  * debian/rules: Simplified rules file.
  * Bumped compat level to 7
  * debian/watch: simpler watch file.
  * debian/control:
    + Build-Depend on debhelper >= 7.0.50~ to support override targets.
    + Updated Standards-Version to 3.8.2
    + Depend on the free ttf-liberation instead of msttcorefonts.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 14 Jul 2009 14:29:56 +0300

=== debian/control ===
Source: monajat
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: Fadi Al-katout (cutout) <cutout33@gmail.com>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper (>= 7.2.50~)
Build-Depends-Indep: python-support (>= 0.5.3), python-all (>= 2.3.5-11), python-setuptools, gettext
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/debian-islamic/packages/monajat.git
Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/monajat.git
Homepage: https://www.launchpad.net/monajat

Package: python-monajat
Section: python
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends}, ${python:Depends}, monajat-data
Provides: ${python:Provides}
Description: Islamic supplications backend
 Monajat is a small application that displays Islamic supplications (azkar) at
 predetermined times.
 .
 This is the Python monajat library needed by monajat front ends.

Package: monajat-data
Architecture: all
Depends: ${misc:Depends}
Description: Islamic supplications database
 Monajat is a small application that displays Islamic supplications (azkar) at
 predetermined times.
 .
 This contains the database of Islamic supplications.

Package: monajat-applet
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends}, ${python:Depends}, python-monajat, python-gtk2, python-notify, python-eggtrayicon
Recommends: python-dbus, islamic-menus
Conflicts: monajat (<= 2)
Replaces: monajat (<= 2)
Description: Islamic supplications tray applet
 Monajat is a small application that displays Islamic supplications (azkar) at
 predetermined times.
 .
 This package contains the desktop tray applet.

Package: monajat
Architecture: all
Depends: ${misc:Depends}, monajat-applet
Description: Islamic supplications tray applet (transitional package)
 Monajat is a small application that displays Islamic supplications (azkar) at
 predetermined times.
 .
 This is a dummy transitional package that will ensure a proper upgrade path.
 This package may be safely removed after upgrading.

Package: monajat-mod
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends}, ${python:Depends}, python-monajat
Description: Islamic supplications console utility
 Monajat is a small application that displays Islamic supplications (azkar) at
 predetermined times.
 .
 This package contains a console application that can be used in motd or in the
 profile.

Package: monajat-screenlet
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends}, ${python:Depends}, python-monajat
Description: Islamic supplications screenlet
 Monajat is a small application that displays Islamic supplications (azkar) at
 predetermined times.
 .
 This package contains a screenlet.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	./update-pot.sh
	./gen-mo.sh
	dh_auto_build

=== debian/watch ===
version=3
https://launchpad.net/monajat/+download http://launchpad.net/monajat/.*/monajat-(.+).tar.gz debian uupdate

## monajat 2.3.2

=== debian/changelog ===
monajat (2.3.2-1) unstable; urgency=low

  * New upstream release. (Closes: #562180)
  * Removed desktop.diff patch as it got applied upstream.
  * debian/control:
    + Remove XB-Python-Version fields
    + Removed python-setuptools for Build-Dep
  * Override dh_auto_clean to remove locale directory on clean
  * debian/watch: Change URL to ojuba git page, since it automatically
    generates release tarballs.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 18 Jun 2010 17:22:28 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: monajat
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
-Uploaders: Fadi Al-katout (cutout) <cutout33@gmail.com>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
+Uploaders: Fadi Al-katout (cutout) <cutout33@gmail.com>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 7.2.50~)
-Build-Depends-Indep: python-support (>= 0.5.3), python-all (>= 2.3.5-11), python-setuptools, gettext
-Standards-Version: 3.8.3
+Build-Depends-Indep: python-support (>= 0.5.3), python-all (>= 2.3.5-11), gettext
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/debian-islamic/packages/monajat.git
 Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/monajat.git
 Homepage: https://www.launchpad.net/monajat
@@ -14,7 +13,6 @@
 Package: python-monajat
 Section: python
 Architecture: all
-XB-Python-Version: ${python:Versions}
 Depends: ${misc:Depends}, ${python:Depends}, monajat-data
 Provides: ${python:Provides}
 Description: Islamic supplications backend
@@ -34,7 +32,6 @@
 
 Package: monajat-applet
 Architecture: all
-XB-Python-Version: ${python:Versions}
 Depends: ${misc:Depends}, ${python:Depends}, python-monajat, python-gtk2, python-notify, python-eggtrayicon
 Recommends: python-dbus, islamic-menus
 Conflicts: monajat (<= 2)
@@ -57,7 +54,6 @@
 
 Package: monajat-mod
 Architecture: all
-XB-Python-Version: ${python:Versions}
 Depends: ${misc:Depends}, ${python:Depends}, python-monajat
 Description: Islamic supplications console utility
  Monajat is a small application that displays Islamic supplications (azkar) at
@@ -68,7 +64,6 @@
 
 Package: monajat-screenlet
 Architecture: all
-XB-Python-Version: ${python:Versions}
 Depends: ${misc:Depends}, ${python:Depends}, python-monajat
 Description: Islamic supplications screenlet
  Monajat is a small application that displays Islamic supplications (azkar) at

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 	./update-pot.sh
 	./gen-mo.sh
 	dh_auto_build
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf locale

## monajat 2.6.1

=== debian/changelog ===
monajat (2.6.1-3) unstable; urgency=low

  * debian/gbp.conf: Set pristine-tar to true
  * Added remove-timeout-to-fix-lp-844680.patch patch to remove timeout which
    causes Monajat to crash in Oneiric (LP: #844680)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 11 Sep 2011 09:01:53 +0200

monajat (2.6.1-2) unstable; urgency=low

  * debian/control: Added libitl0 to python-monajat's Depends
  * Added fix-lang-selection.diff patch from upstream to fix language
    selection.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 15 Aug 2011 23:43:04 +0200

monajat (2.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set DMUA upon request by sponsor (Mehdi Dogguy)
    + Bumped Standards-Version to 3.9.2
    + Use Breaks instead of Conflicts with version
    + Added X-Python-Version field
  * Switch to dh_python2
    + Removed debian/pyversions
    + debian/control:
      - Drop Provides: ${python:Provides}
      - Drop python-support from Build-Deps
      - Bumped python-all Build-Dep to (>= 2.6.6-3~)
    + debian/rules:
      - added --with python2 to dh call.
      - Override dh_python2 to process monajat-screenlet, as dh_python2 does
        not check shebangs in weird locations.
  * Bumped compat level to 8
  * debian/python-monajat.install: Added monajat/itl.py
  * debian/monajat-data.install: Install monajat-data/*.db
  * debian/monajat-applet.install: Added monajat-data/athan.ogg
  * debian/copyright: Updated copyright years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 07 Aug 2011 00:51:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
 Uploaders: Fadi Al-katout (cutout) <cutout33@gmail.com>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 7.2.50~)
-Build-Depends-Indep: python-support (>= 0.5.3), python-all (>= 2.3.5-11), gettext
-Standards-Version: 3.8.4
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 8)
+Build-Depends-Indep: python-all (>= 2.6.6-3~), gettext
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/debian-islamic/packages/monajat.git
 Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/monajat.git
 Homepage: https://www.launchpad.net/monajat
+X-Python-Version: >= 2.6
 
 Package: python-monajat
 Section: python
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, monajat-data
-Provides: ${python:Provides}
+Depends: ${misc:Depends}, ${python:Depends}, monajat-data, libitl0
 Description: Islamic supplications backend
  Monajat is a small application that displays Islamic supplications (azkar) at
  predetermined times.
@@ -34,7 +35,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-monajat, python-gtk2, python-notify, python-eggtrayicon
 Recommends: python-dbus, islamic-menus
-Conflicts: monajat (<= 2)
+Breaks: monajat (<= 2)
 Replaces: monajat (<= 2)
 Description: Islamic supplications tray applet
  Monajat is a small application that displays Islamic supplications (azkar) at

## monajat 2.6.3

=== debian/changelog ===
monajat (2.6.3-2) unstable; urgency=low

  * debian/control:
    + Remove python-eggtrayicon from Depends (Closes: #702106)
    + Bumped Standards-Version to 3.9.4
    + Remove obsolete DMUA field
    + Use canonical URIs in VCS-* fields
  * Updated copyright format & years
  * Bumped compat level to 9

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 18 May 2013 17:07:04 +0200

monajat (2.6.3-1) unstable; urgency=low

  * New upstream release.
  * Remove drop_cmp_to_key.diff as it is included in new upstream release.
  * Updated fix_locale.diff to set language after several trials
  * debian/control: Set monajat transitional package to be of priority extra
    and in the oldlibs section

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 26 Nov 2011 23:49:32 +0200

monajat (2.6.2-2) unstable; urgency=low

  * Added drop_cmp_to_key.diff patch to drop import of cmp_to_key, it isn't
    supported by Python 2.6 and it's not used anyways (Closes: #646441)
  * Added fix_locale.diff patch to fix locale setting logic (Closes: #646483)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 26 Oct 2011 08:14:11 +0200

monajat (2.6.2-1) unstable; urgency=low

  * New upstream release.
  * Removed patches applied upstream: fix-lang-selection.diff,
    remove-timeout-to-fix-lp-844680.patch
  * debian/copyright: Updated copyright format & years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 22 Oct 2011 09:40:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
 Uploaders: Fadi Al-katout (cutout) <cutout33@gmail.com>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: python-all (>= 2.6.6-3~), gettext
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/debian-islamic/packages/monajat.git
-Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/monajat.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/debian-islamic/packages/monajat.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-islamic/packages/monajat.git
 Homepage: https://www.launchpad.net/monajat
 X-Python-Version: >= 2.6
 
@@ -33,7 +32,7 @@
 
 Package: monajat-applet
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-monajat, python-gtk2, python-notify, python-eggtrayicon
+Depends: ${misc:Depends}, ${python:Depends}, python-monajat, python-gtk2, python-notify
 Recommends: python-dbus, islamic-menus
 Breaks: monajat (<= 2)
 Replaces: monajat (<= 2)
@@ -44,6 +43,8 @@
  This package contains the desktop tray applet.
 
 Package: monajat
+Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: ${misc:Depends}, monajat-applet
 Description: Islamic supplications tray applet (transitional package)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	./update-pot.sh
	./gen-mo.sh
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -rf locale

override_dh_python2:
	dh_python2
	# dh_python2 does not check shebangs in weird locations:
	dh_python2 -pmonajat-screenlet /usr/share/screenlets/Monajat

=== debian/watch ===
version=3
http://git.ojuba.org/cgit/monajat/ /cgit/monajat/snapshot/monajat-(.*)\.tar\.bz2

## monajat 2.6.5

=== debian/changelog ===
monajat (2.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Update URL in watch file.
  * debian/control:
    + Replaced python-gtk2 & python-notify with python-gobject in
      monajat-applet's Depends
    + Update Standards-Version to 3.9.5
    + Add intltool to Build-Deps
  * debian/copyright: Update copyright years.
  * debian/gbp.conf: Remove compression field.
  * Dropped fix_locale.diff patch, as it is included upstream.
  * debian/rules: Replace overrides for dh_auto_build & dh_auto_clean with
    overrides for dh_auto_{clean,build,install} to run them with
    python_distutils & makefile build systems.
  * Added separate_pyinstall.diff patch to separate python build/install calls
    from Makefile

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 12 Apr 2014 19:05:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
 Uploaders: Fadi Al-katout (cutout) <cutout33@gmail.com>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: python-all (>= 2.6.6-3~), gettext
-Standards-Version: 3.9.4
+Build-Depends-Indep: python-all (>= 2.6.6-3~), gettext, intltool
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/debian-islamic/packages/monajat.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-islamic/packages/monajat.git
 Homepage: https://www.launchpad.net/monajat
@@ -32,7 +32,7 @@
 
 Package: monajat-applet
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-monajat, python-gtk2, python-notify
+Depends: ${misc:Depends}, ${python:Depends}, python-monajat, python-gobject
 Recommends: python-dbus, islamic-menus
 Breaks: monajat (<= 2)
 Replaces: monajat (<= 2)

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,16 @@
 	dh $@ --with python2
 
 override_dh_auto_build:
-	./update-pot.sh
-	./gen-mo.sh
+	dh_auto_build -Spython_distutils
 	dh_auto_build
 
 override_dh_auto_clean:
+	dh_auto_clean -Spython_distutils
 	dh_auto_clean
-	rm -rf locale
+
+override_dh_auto_install:
+	dh_auto_install -Spython_distutils
+	dh_auto_install
 
 override_dh_python2:
 	dh_python2

## monajat 4.1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 ECHO := echo
 NAKE := make
-PYTHON := python2
+PYTHON := python3
 INSTALL := install
 INTLTOOL_MERGE := intltool-merge
 RM := $(shell which rm | egrep '/' | sed  's/\s//g')

=== debian/changelog ===
monajat (4.1-4) unstable; urgency=medium

  * Update watch file
  * d/control:
    + bump standards version to 4.7.2
    + update to debhelper-compat 13
  * Add d/not-installed for already installed files and un-needed scripts
    d/monajat-screenlet.install: modify path of installed screenlet

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 11 Aug 2025 17:11:49 +0200

monajat (4.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers to use salsa repository.

  [ Jenkins ]
  * Apply multi-arch hints. + monajat-data: Add Multi-Arch: foreign.
    Changes-By: apply-multiarch-hints

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * d/control: add python3-setuptools to build deps (Closes: #1080671)
  * Add d/gitlab-ci.yml
  * d/copyright:
    + Update FSF address
    + Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 27 Jun 2025 09:54:43 +0200

monajat (4.1-2) unstable; urgency=medium

  * Add Breaks/Replaces: python-monajat for python3-monajat (Closes: #879879)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 27 Oct 2017 03:17:51 +0200

monajat (4.1-1) unstable; urgency=medium

  * New upstream release
  * Remove transitional package (Closes: #878694)
  * Added python3-gst-1.0 to monajat-applet's dependencies (Closes: #829610)
  * Update my email address
  * Bumped compat level to 10
  * Update Standards-Version to 4.1.1
  * Change Vcs-* fields to secure URLs
  * Add dh-python to build-deps-indep
  * Switched to Python3
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 18 Oct 2017 04:32:28 +0200

=== debian/control ===
Source: monajat
Section: utils
Priority: optional
Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: Fadi Al-katout (cutout) <cutout33@gmail.com>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: python3-all, gettext, intltool, dh-python, python3-setuptools
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/islamic-team/monajat.git
Vcs-Browser: https://salsa.debian.org/islamic-team/monajat
Homepage: https://www.launchpad.net/monajat

Package: python3-monajat
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, monajat-data, libitl0
Breaks: python-monajat
Replaces: python-monajat
Description: Islamic supplications backend
 Monajat is a small application that displays Islamic supplications (azkar) at
 predetermined times.
 .
 This is the Python monajat library needed by monajat front ends.

Package: monajat-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Islamic supplications database
 Monajat is a small application that displays Islamic supplications (azkar) at
 predetermined times.
 .
 This contains the database of Islamic supplications.

Package: monajat-applet
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-monajat, python3-gi, python3-gst-1.0
Recommends: python3-dbus, islamic-menus
Breaks: monajat (<= 2)
Replaces: monajat (<= 2)
Description: Islamic supplications tray applet
 Monajat is a small application that displays Islamic supplications (azkar) at
 predetermined times.
 .
 This package contains the desktop tray applet.

Package: monajat-mod
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-monajat
Description: Islamic supplications console utility
 Monajat is a small application that displays Islamic supplications (azkar) at
 predetermined times.
 .
 This package contains a console application that can be used in motd or in the
 profile.

Package: monajat-screenlet
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-monajat
Description: Islamic supplications screenlet
 Monajat is a small application that displays Islamic supplications (azkar) at
 predetermined times.
 .
 This package contains a screenlet.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build -Spybuild
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean -Spybuild
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install -Spybuild
	dh_auto_install

override_dh_python3:
	dh_python3
	# dh_python3 does not check shebangs in weird locations:
	dh_python3 -pmonajat-screenlet /usr/share/screenlets/Monajat

=== debian/watch ===
version=4
https://github.com/ojuba-org/@PACKAGE@/tags \
   (?:.*?/)?v?([\d.]*)@ARCHIVE_EXT@
